%global momorel 3
%global qtver 3.3.7
%global kdever 3.5.9
%global kde4ver 4.0.83
%global kdelibsrel 4m
%global kdegraphicsrel 3m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE Image Plugin Interface
Name: libkipi
Version: 0.1.6
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
# for icons
Requires: kdegraphics >= %{kde4ver}-%{kdegraphicsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: pkgconfig

%description
The library of the KDE Image Plugin Interface

%package devel
Summary: Static libraries and headers for libkipi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
libkipi contains the libraries and header files needed to
develop programs which make use of libkipi.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# conflicts with kdegraphics-4.0.83
rm -f %{buildroot}%{_datadir}/apps/kipi/data/kipi-plugins_logo.png
rm -f %{buildroot}%{_datadir}/icons/hicolor/*/apps/kipi.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/kde/libkipi
%{_libdir}/pkgconfig/libkipi.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-3m)
- remove icons to avoid conflicting with kdegraphics
- Requires: kdegraphics

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.6-2m)
- rebuild against qt3

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-1m)
- version 0.1.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.5-8m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-7m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.5-6m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.5-5m)
- %%NoSource -> NoSource

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-4m)
- clean up spec file

* Wed Feb 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-3m)
- libkipi-devel Requires: pkgconfig

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.5-2m)
- rebuild against kdelibs etc.

* Sun Dec 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.4-2m)
- rebuild against kdelibs-3.5.4-2m

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-3m)
- add --enable-new-ldflags to configure

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
